Bug 1209189 - Update 1.7.39-1 crashes OpenGL and DirectX Support with OpenJava 1.7
Summary: Update 1.7.39-1 crashes OpenGL and DirectX Support with OpenJava 1.7
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: wine
Version: 20
Hardware: x86_64
OS: Linux
unspecified
urgent
Target Milestone: ---
Assignee: Andreas Bierfert
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2015-04-06 16:10 UTC by customercare
Modified: 2015-04-30 11:43 UTC (History)
5 users (show)

Fixed In Version: wine-1.7.41-1.fc21
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2015-04-30 11:37:58 UTC
Type: Bug


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Wine HQ 38264 None None None Never

Description customercare 2015-04-06 16:10:12 UTC
Description of problem:

Todays updates crashes the OpenGL and DirectX support with Java 1.7 

Running in DirectX mode, the position of GFX elements and the mousepointervenet x-y coordinates is not in sync.
This means, click events do only work app. 30 pixels below the actual drawn position of buttons and other elements.

The offset COULD be the windowtitlebarheight.

As soon as OPENGL is selected to be used, the game crases. 

IMPORTANT INFO: 

I played the game before the updates happend today and everything was ok. After a restart, wine "configured" the installation and runescape did not longer work proper. It's now rendered utterly USELESS. 

EVE Online on the other hand works as expected.  So the problem lies with the JAVA support. The JAVA Bugreport at the end of this report shows the problem. 



Version-Release number of selected component (if applicable):

mingw32-wine-gecko-2.36-1.fc20.noarch
wine-1.7.39-1.fc20.i686
wine-alsa-1.7.39-1.fc20.x86_64
wine-arial-fonts-1.7.39-1.fc20.noarch
wine-capi-1.7.39-1.fc20.i686
wine-cms-1.7.39-1.fc20.i686
wine-common-1.7.39-1.fc20.noarch
wine-core-1.7.39-1.fc20.i686
wine-core-1.7.39-1.fc20.x86_64
wine-courier-fonts-1.7.39-1.fc20.noarch
wine-desktop-1.7.39-1.fc20.noarch
wine-filesystem-1.7.39-1.fc20.noarch
wine-fixedsys-fonts-1.7.39-1.fc20.noarch
wine-fonts-1.7.39-1.fc20.noarch
wine-ldap-1.7.39-1.fc20.i686
wine-ldap-1.7.39-1.fc20.x86_64
wine-marlett-fonts-1.7.39-1.fc20.noarch
wine-mono-4.5.6-1.fc20.noarch
wine-ms-sans-serif-fonts-1.7.39-1.fc20.noarch
wine-openal-1.7.39-1.fc20.i686
wine-opencl-1.7.39-1.fc20.i686
wine-pulseaudio-1.7.39-1.fc20.i686
wine-pulseaudio-1.7.39-1.fc20.x86_64
wine-small-fonts-1.7.39-1.fc20.noarch
wine-symbol-fonts-1.7.39-1.fc20.noarch
wine-systemd-1.7.39-1.fc20.noarch
wine-system-fonts-1.7.39-1.fc20.noarch
wine-tahoma-fonts-1.7.39-1.fc20.noarch
wine-twain-1.7.39-1.fc20.i686
wine-wingdings-fonts-1.7.39-1.fc20.noarch

abrt-java-connector-1.0.10-1.fc20.x86_64
ant-javamail-1.9.2-7.fc20.noarch
java-1.7.0-openjdk-1.7.0.75-2.5.4.2.fc20.x86_64
java-1.7.0-openjdk-devel-1.7.0.75-2.5.4.2.fc20.x86_64
java-1.7.0-openjdk-headless-1.7.0.75-2.5.4.2.fc20.x86_64
java-1.7.0-openjdk-javadoc-1.7.0.75-2.5.4.2.fc20.noarch
javamail-1.5.0-6.fc20.noarch
javapackages-tools-3.4.1-1.fc20.noarch
openoffice-javafilter-4.1.0-9764.x86_64
python-javapackages-3.4.1-1.fc20.noarch
tzdata-java-2015b-1.fc20.noarch


How reproducible:

reliable. 

Steps to Reproduce:
1. Install Runescape
2. Select GFX options -> OPENGL 
3. it's crashes instantly

Actual results:

none working OpenGL / crashing java software. 

Expected results:

Working OPENGL Support. 

Additional info:

#
# A fatal error has been detected by the Java Runtime Environment:
#
#  EXCEPTION_ACCESS_VIOLATION (0xc0000005) at pc=0x00000000, pid=8, tid=104
#
# JRE version: 7.0
# Java VM: OpenJDK Client VM (21.0-b17 mixed mode windows-x86 )
# Problematic frame:
# C  0x00000000
#
# Failed to write core dump. Minidumps are not enabled by default on client versions of Windows
#
# If you would like to submit a bug report, please visit:
#   http://bugreport.sun.com/bugreport/crash.jsp
# The crash happened outside the Java Virtual Machine in native code.
# See problematic frame for where to report the bug.
#

---------------  T H R E A D  ---------------

Current thread (0x0578b400):  JavaThread "Thread-6" daemon [_thread_in_native, id=104, stack(0x0f9d0000,0x0fbd0000)]

siginfo: ExceptionCode=0xc0000005, reading address 0x00000000

Registers:
EAX=0x00000000, EBX=0x75d8df10, ECX=0x00000000, EDX=0x0000806f
ESP=0x0fbcd690, EBP=0x0fbcd6b8, ESI=0x75d8df10, EDI=0x0578b400
EIP=0x00000000, EFLAGS=0x00010283

Top of Stack: (sp=0x0fbcd690)
0x0fbcd690:   0722667d 0000806f 00000000 00000000
0x0fbcd6a0:   00000000 00000000 00000000 00000000
0x0fbcd6b0:   00000080 00000080 0fbcd70c 0052a5b7
0x0fbcd6c0:   0578b528 0fbcd714 0000806f 00000000
0x0fbcd6d0:   00000000 00000000 00000000 00000000
0x0fbcd6e0:   00000000 00000080 00000080 0fbcd6ec
0x0fbcd6f0:   75d8df10 0fbcd73c 75d91190 00000000
0x0fbcd700:   75d8df10 00000000 0fbcd71c 0fbcd760 

Instructions: (pc=0x00000000)
0xffffffe0:   


Register to memory mapping:

EAX=0x00000000 is an unknown value
EBX=0x75d8df10 is an oop
{method} 
 - klass: {other class}
ECX=0x00000000 is an unknown value
EDX=0x0000806f is an unknown value
ESP=0x0fbcd690 is pointing into the stack for thread: 0x0578b400
EBP=0x0fbcd6b8 is pointing into the stack for thread: 0x0578b400
ESI=0x75d8df10 is an oop
{method} 
 - klass: {other class}
EDI=0x0578b400 is a thread


Stack: [0x0f9d0000,0x0fbd0000],  sp=0x0fbcd690,  free space=2037k
Java frames: (J=compiled Java code, j=interpreted, Vv=VM code)
j  jaggl.OpenGL.glCopyTexSubImage3D(IIIIIIIII)V+0
j  abv.az(IIIIIII)V+24
j  ck.a(Labv;Labv;F)Z+298
j  bk.<init>(Ladu;)V+361
j  bv.<init>(Ladu;)V+30
j  adu.<init>(Ljava/awt/Canvas;Ldw;Ldo;Lmj;Lmw;Lml;I)V+1447
j  cr.u(Ljava/awt/Canvas;Ldw;Ldo;Lmj;Lmw;Lml;I)Ldm;+14
j  dm.a(ILjava/awt/Canvas;Ldw;Ldo;Lmj;Lmw;Lml;Loi;IIII)Ldm;+41
j  vh.u(ILjava/awt/Canvas;Ldw;Ldo;Lmj;Lmw;Lml;Loi;IB)Ldm;+51
j  ek.fg(ILjava/lang/String;ZI)V+285
j  qs.fx(ILjava/lang/String;ZI)V+21
J  gp.fv(III)I
j  aaq.g(B)Lajo;+442
j  ab.i(I)I+2
j  pi.atc(Lxq;I)V+2
j  agr.q(Lrs;Lxq;I)V+5284
J  vr.b(Lapk;ILxq;B)V
J  eh.e(Laia;IS)V
j  ia.i(Laia;I)V+6
j  vc.kg(IIILjava/lang/String;I)V+73
j  ajw.bq(Laph;IIZI)V+768
J  ql.h(S)V
J  aai.gv(I)V
J  client.an(B)V
J  rd.q(B)V
j  rd.l(I)V+374
j  rd.run()V+4
j  java.lang.Thread.run()V+11
v  ~StubRoutines::call_stub

---------------  P R O C E S S  ---------------

Java Threads: ( => current thread )
  0x1dd00400 JavaThread "SeedGenerator Thread" daemon [_thread_blocked, id=132, stack(0x10af0000,0x10cf0000)]
  0x06302400 JavaThread "Thread-20" daemon [_thread_blocked, id=130, stack(0x1a8a0000,0x1aaa0000)]
  0x06301800 JavaThread "Thread-19" daemon [_thread_in_native, id=129, stack(0x108f0000,0x10af0000)]
  0x05672c00 JavaThread "Thread-15" daemon [_thread_in_native, id=123, stack(0x119a0000,0x11ba0000)]
  0x058ed000 JavaThread "Thread-14" daemon [_thread_blocked, id=121, stack(0x117a0000,0x119a0000)]
  0x058eb800 JavaThread "Thread-13" daemon [_thread_blocked, id=120, stack(0x115a0000,0x117a0000)]
  0x058e8400 JavaThread "Java Sound Event Dispatcher" daemon [_thread_blocked, id=118, stack(0x112a0000,0x114a0000)]
  0x05782800 JavaThread "pool-1-thread-1" [_thread_blocked, id=109, stack(0x10410000,0x10610000)]
  0x05767400 JavaThread "Thread-9" daemon [_thread_blocked, id=107, stack(0x10010000,0x10210000)]
  0x05765000 JavaThread "Thread-8" daemon [_thread_blocked, id=106, stack(0x0fdd0000,0x0ffd0000)]
  0x056c3400 JavaThread "Thread-7" daemon [_thread_blocked, id=105, stack(0x0fbd0000,0x0fdd0000)]
=>0x0578b400 JavaThread "Thread-6" daemon [_thread_in_native, id=104, stack(0x0f9d0000,0x0fbd0000)]
  0x056bd000 JavaThread "Thread-5" daemon [_thread_blocked, id=64, stack(0x0c810000,0x0ca10000)]
  0x056ba400 JavaThread "Thread-4" daemon [_thread_blocked, id=73, stack(0x0bf60000,0x0c160000)]
  0x056b9800 JavaThread "Thread-3" daemon [_thread_blocked, id=37, stack(0x0bd60000,0x0bf60000)]
  0x055ba400 JavaThread "Thread-2" daemon [_thread_blocked, id=67, stack(0x07480000,0x07680000)]
  0x055b3c00 JavaThread "Thread-1" daemon [_thread_blocked, id=66, stack(0x07280000,0x07480000)]
  0x05540800 JavaThread "AWT-EventQueue-0" [_thread_blocked, id=63, stack(0x06c20000,0x06e20000)]
  0x054b8000 JavaThread "AWT-Windows" daemon [_thread_in_native, id=62, stack(0x06980000,0x06b80000)]
  0x054b6800 JavaThread "AWT-Shutdown" [_thread_blocked, id=61, stack(0x06780000,0x06980000)]
  0x054b5400 JavaThread "Java2D Disposer" daemon [_thread_blocked, id=60, stack(0x06580000,0x06780000)]
  0x043f7400 JavaThread "Service Thread" daemon [_thread_blocked, id=58, stack(0x05030000,0x05230000)]
  0x043f1c00 JavaThread "C1 CompilerThread0" daemon [_thread_blocked, id=57, stack(0x04f30000,0x05030000)]
  0x043f0000 JavaThread "Attach Listener" daemon [_thread_blocked, id=56, stack(0x04d30000,0x04f30000)]
  0x043ee800 JavaThread "Signal Dispatcher" daemon [_thread_blocked, id=55, stack(0x04b30000,0x04d30000)]
  0x043ed000 JavaThread "Surrogate Locker Thread (Concurrent GC)" daemon [_thread_blocked, id=54, stack(0x04930000,0x04b30000)]
  0x043b4800 JavaThread "Finalizer" daemon [_thread_blocked, id=53, stack(0x04730000,0x04930000)]
  0x043af800 JavaThread "Reference Handler" daemon [_thread_blocked, id=52, stack(0x04530000,0x04730000)]
  0x00416800 JavaThread "main" [_thread_blocked, id=9, stack(0x00230000,0x00330000)]

Other Threads:
  0x043a9c00 VMThread [stack: 0x04160000,0x04260000] [id=51]
  0x04402000 WatcherThread [stack: 0x05230000,0x05330000] [id=59]
VM state:not at safepoint (normal execution)

VM Mutex/Monitor currently owned by a thread: None

Heap
 par new generation   total 118016K, used 5607K [0x5ca90000, 0x64a90000, 0x64a90000)
  eden space 104960K,   5% used [0x5ca90000, 0x5d009ca0, 0x63110000)
  from space 13056K,   0% used [0x63dd0000, 0x63dd0000, 0x64a90000)
  to   space 13056K,   0% used [0x63110000, 0x63110000, 0x63dd0000)
 concurrent mark-sweep generation total 262144K, used 144671K [0x64a90000, 0x74a90000, 0x74a90000)
 concurrent-mark-sweep perm gen total 32560K, used 19802K [0x74a90000, 0x76a5c000, 0x78a90000)

Code Cache  [0x00520000, 0x01030000, 0x02520000)
 total_blobs=3281 nmethods=2933 adapters=279 free_code_cache=21463Kb largest_free_block=21977856

Dynamic libraries:
0x00400000 - 0x00406000         C:\jagexlauncher\jagexlauncher\bin\JagexLauncher.exe
0x7bc10000 - 0x7bcf4000         C:\windows\system32\ntdll.dll
0x7b810000 - 0x7ba68000         C:\windows\system32\KERNEL32.dll
0x7ec10000 - 0x7ed78000         C:\windows\system32\user32.dll
0x7eae0000 - 0x7ebfb000         C:\windows\system32\gdi32.dll
0x7ea60000 - 0x7ead4000         C:\windows\system32\advapi32.dll
0x7eff0000 - 0x7effb000         C:\windows\system32\version.dll
0x78aa0000 - 0x78b5e000         C:\jagexlauncher\jagexlauncher\bin\MSVCR100.dll
0x7e6e0000 - 0x7e6fd000         C:\windows\system32\imm32.dll
0x08000000 - 0x08324000         C:\jagexlauncher\jagexlauncher\bin\jvm.dll
0x7e5f0000 - 0x7e6a2000         C:\windows\system32\winmm.dll
0x7e5e0000 - 0x7e5e4000         C:\windows\system32\psapi.dll
0x10000000 - 0x1000c000         C:\jagexlauncher\jagexlauncher\bin\verify.dll
0x00330000 - 0x00350000         C:\jagexlauncher\jagexlauncher\bin\java.dll
0x00380000 - 0x00393000         C:\jagexlauncher\jagexlauncher\bin\zip.dll
0x05330000 - 0x05471000         C:\jagexlauncher\jagexlauncher\bin\awt.dll
0x7e4a0000 - 0x7e5d0000         C:\windows\system32\oleaut32.dll
0x7e360000 - 0x7e487000         C:\windows\system32\ole32.dll
0x7e2c0000 - 0x7e33d000         C:\windows\system32\rpcrt4.dll
0x7e230000 - 0x7e2b7000         C:\windows\system32\winex11.drv
0x7df00000 - 0x7e000000         C:\windows\system32\comctl32.dll
0x7e1c0000 - 0x7e1e7000         C:\windows\system32\uxtheme.dll
0x04270000 - 0x042d6000         C:\jagexlauncher\jagexlauncher\bin\freetype.dll
0x06b80000 - 0x06c05000         C:\jagexlauncher\jagexlauncher\bin\fontmanager.dll
0x042e0000 - 0x042f4000         C:\jagexlauncher\jagexlauncher\bin\net.dll
0x7e150000 - 0x7e182000         C:\windows\system32\ws2_32.dll
0x04300000 - 0x0430f000         C:\jagexlauncher\jagexlauncher\bin\nio.dll
0x07680000 - 0x07694000         C:\windows\.jagex_cache_32\browsercontrol.dll
0x076a0000 - 0x076a6000         C:\jagexlauncher\jagexlauncher\bin\jawt.dll
0x7de20000 - 0x7deaa000         C:\windows\system32\ieframe.dll
0x7d860000 - 0x7d8fd000         C:\windows\system32\urlmon.dll
0x7d630000 - 0x7d857000         C:\windows\system32\shell32.dll
0x7d5b0000 - 0x7d614000         C:\windows\system32\shlwapi.dll
0x078c0000 - 0x07934000         C:\windows\system32\wininet.dll
0x7da10000 - 0x7da24000         C:\windows\system32\wsock32.dll
0x7d580000 - 0x7d597000         C:\windows\system32\iphlpapi.dll
0x7d560000 - 0x7d56b000         C:\windows\system32\rasapi32.dll
0x7d220000 - 0x7d3ff000         C:\windows\system32\mshtml.dll
0x08330000 - 0x0b30d000         C:\windows\system32\gecko\2.36\wine_gecko\xul.dll
0x07ba0000 - 0x07c33000         C:\windows\system32\gecko\2.36\wine_gecko\mozsqlite3.dll
0x7d160000 - 0x7d1fb000         C:\windows\system32\msvcrt.dll
0x07c40000 - 0x07c5d000         C:\windows\system32\gecko\2.36\wine_gecko\mozalloc.dll
0x07c60000 - 0x07cf2000         C:\windows\system32\gecko\2.36\wine_gecko\mozglue.dll
0x07d00000 - 0x07d0d000         C:\windows\system32\gecko\2.36\wine_gecko\plds4.dll
0x07d10000 - 0x07d47000         C:\windows\system32\gecko\2.36\wine_gecko\nspr4.dll
0x07d50000 - 0x07d5d000         C:\windows\system32\gecko\2.36\wine_gecko\plc4.dll
0x07d60000 - 0x07e4c000         C:\windows\system32\gecko\2.36\wine_gecko\nss3.dll
0x07e50000 - 0x07e72000         C:\windows\system32\gecko\2.36\wine_gecko\nssutil3.dll
0x07e80000 - 0x07ea7000         C:\windows\system32\gecko\2.36\wine_gecko\smime3.dll
0x07eb0000 - 0x07ee5000         C:\windows\system32\gecko\2.36\wine_gecko\ssl3.dll
0x7d060000 - 0x7d146000         C:\windows\system32\comdlg32.dll
0x7d510000 - 0x7d54b000         C:\windows\system32\winspool.drv
0x7d050000 - 0x7d054000         C:\windows\system32\msimg32.dll
0x7d020000 - 0x7d040000         C:\windows\system32\netapi32.dll
0x7d000000 - 0x7d00d000         C:\windows\system32\rasdlg.dll
0x7cfd0000 - 0x7cff3000         C:\windows\system32\secur32.dll
0x7cf50000 - 0x7cfba000         C:\windows\system32\setupapi.dll
0x7cf30000 - 0x7cf41000         C:\windows\system32\userenv.dll
0x7cef0000 - 0x7cf26000         C:\windows\system32\usp10.dll
0x7ceb0000 - 0x7cedf000         C:\windows\system32\wintrust.dll
0x7cde0000 - 0x7cea4000         C:\windows\system32\crypt32.dll
0x7cdc0000 - 0x7cdd0000         C:\windows\system32\dnsapi.dll
0x0bc30000 - 0x0bc41000         C:\jagexlauncher\jagexlauncher\bin\unpack.dll
0x7c490000 - 0x7c528000         C:\windows\system32\jscript.dll
0x7c460000 - 0x7c479000         C:\windows\system32\mlang.dll
0x0c160000 - 0x0c181000         C:\jagexlauncher\jagexlauncher\bin\jpeg.dll
0x0c190000 - 0x0c19a000         C:\jagexlauncher\jagexlauncher\bin\jsound.dll
0x0c1a0000 - 0x0c1a9000         C:\jagexlauncher\jagexlauncher\bin\jsoundds.dll
0x7dcc0000 - 0x7dcfe000         C:\windows\system32\dsound.dll
0x7dc90000 - 0x7dcac000         C:\windows\system32\mmdevapi.dll
0x7dc60000 - 0x7dc83000         C:\windows\system32\winepulse.drv
0x06e20000 - 0x06e46000         C:\users\marius\jagexcache\runescape\LIVE\jaclib.dll
0x7bac0000 - 0x7bc00000         C:\windows\system32\wined3d.dll
0x7a820000 - 0x7a920000         C:\windows\system32\opengl32.dll
0x7bd30000 - 0x7bd98000         C:\windows\system32\ddraw.dll
0x7ba80000 - 0x7bab0000         C:\windows\system32\wbemprox.dll
0x7af50000 - 0x7af68000         C:\windows\system32\dxgi.dll
0x7acc0000 - 0x7acd9000         C:\windows\system32\devenum.dll
0x7c410000 - 0x7c41d000         C:\windows\system32\avicap32.dll
0x7aa00000 - 0x7aa1b000         C:\windows\system32\msacm32.dll
0x7a9d0000 - 0x7a9ec000         C:\windows\system32\msvfw32.dll
0x7a9b0000 - 0x7a9b9000         C:\windows\system32\msacm32.drv
0x7a990000 - 0x7a99e000         C:\windows\system32\midimap.dll
0x06f70000 - 0x06f86000         C:\users\marius\jagexcache\runescape\LIVE\jagdx.dll
0x7bdd0000 - 0x7bdff000         C:\windows\system32\d3d9.dll
0x07220000 - 0x0723a000         C:\users\marius\jagexcache\runescape\LIVE\jaggl.dll
VM Arguments:
jvm_args: -Dsun.java2d.noddraw=true -Dcom.jagex.config=http://www.runescape.com/k=3/l=$(Language:0)/jav_config.ws -Xmx384m -Xss2m -XX:CompileThreshold=1500 -Xincgc -XX:+UseConcMarkSweepGC -XX:+UseParNewGC 
java_command: <unknown>
Launcher Type: generic

Environment Variables:
PATH=C:\windows\system32;C:\windows;C:\windows\system32\wbem;C:\windows\system32\gecko\2.36\wine_gecko\
USERNAME=marius
SHELL=/bin/bash
DISPLAY=:0
OS=Windows_NT
PROCESSOR_IDENTIFIER=x86 Family 21 Model 2 Stepping 0, GenuineIntel



---------------  S Y S T E M  ---------------

OS: Windows XP Build 2600 Service Pack 3

CPU:total 8 (8 cores per cpu, 1 threads per core) family 21 model 2 stepping 0, cmov, cx8, fxsr, mmx, sse, sse2, sse3, ssse3, sse4.1, sse4.2, popcnt, mmxext, 3dnowpref, lzcnt, sse4a

Memory: 4k page, physical 8071392k(5609364k free), swap 16069708k(13540816k free)

vm_info: OpenJDK Client VM (21.0-b17) for windows-x86 JRE (1.7.0-internal-jagex_2011_11_09_16_54-b00), built on Nov  9 2011 17:12:08 by "jagex" with unknown MS VC++:1600

time: Mon Apr 06 17:25:07 2015
elapsed time: 150 seconds

#################### SIDE NOTE :

Happens on Startup : 

Error: client.init:1143 sun.reflect.NativeMethodAccessorImpl.invoke0 sun.reflect.NativeMethodAccessorImpl.invoke:57 sun.reflect.DelegatingMethodAccessorImpl.invoke:43 java.lang.reflect.Method.invoke:601 Rs2Applet.a:296 Rs2Applet.init:668 app.appletviewer.a:534 jagexappletviewer.main:6 | java.lang.RuntimeException | 
fixme:imm:ImeHandleNotify WM_IME_NOTIFY:IMN_SETCOMPOSITIONWINDOW
fixme:imm:ImeHandleNotify WM_IME_NOTIFY:IMN_SETCOMPOSITIONWINDOW
sun.awt.image.ImageFormatException: Unsupported color conversion request
	at sun.awt.image.JPEGImageDecoder.readImage(Native Method)
	at sun.awt.image.JPEGImageDecoder.produceImage(JPEGImageDecoder.java:136)
	at sun.awt.image.InputStreamImageSource.doFetch(InputStreamImageSource.java:269)
	at sun.awt.image.ImageFetcher.fetchloop(ImageFetcher.java:205)
	at sun.awt.image.ImageFetcher.run(ImageFetcher.java:169)
Received command: _10
Received command: _10

Comment 1 Michael Cronenworth 2015-04-06 16:14:10 UTC
Please file a bug upstream: https://bugs.wine-staging.com/

When the bug has been created link the bug URL.

Comment 2 customercare 2015-04-06 16:21:05 UTC
WINE-STAGING : Bugzilla – Bug 205

Comment 3 customercare 2015-04-06 16:21:26 UTC
https://bugs.wine-staging.com/show_bug.cgi?id=205

Comment 4 Michael Cronenworth 2015-04-06 22:05:32 UTC
Please try the 1.7.40 build, but it may not fix your issue.

http://koji.fedoraproject.org/koji/buildinfo?buildID=626311

Comment 5 customercare 2015-04-06 22:16:36 UTC
it won't, as they need to revert a patch first : 

Michael Müller 2015-04-06 23:41:39 CEST

The crash is actually caused by a driver bug. I am not sure which graphic card / driver you are using but at least the nvidia driver seems to be broken. The driver supports the glCopyTexSubImage3DEXT function, but does not list GL_EXT_copy_texture as extension. The patch by Matteo changed the behavior of Wine to fail if the extension is not advertised. The application does not properly check the return value and crashes.

I talked with him about the problem and his opinion is that reverting the patch might be the best solution. The patch only tries to hide a function if you manually disable an extension in the registry but does not fix any bugs, reverting it should therefore be harmless. I think we should give upstream the chance to fix the bug till the next release and revert it if they don't fix it.

Comment 6 customercare 2015-04-06 22:17:40 UTC
if you know which patch is meant, you can build a 1.7.39-2 and fix for the time being.

Comment 7 Michael Cronenworth 2015-04-06 23:15:52 UTC
The problem doesn't live in a wine-staging patch, but it is in the upstream code base. I'll watch the upstream bug for updates.

Comment 8 customercare 2015-04-07 08:10:24 UTC
Just for the record: I reverted back to wine-1.7.35. Everything works fine now. the wine-wow rpm wasn't installed with the revert, but that does not seem to hurt my installed files.

Comment 9 Michael Cronenworth 2015-04-24 02:04:38 UTC
1.7.41 includes the wine-staging patch to undo the upstream change. Have you tested it?

https://admin.fedoraproject.org/updates/FEDORA-2015-6460/wine-1.7.41-1.fc20

Upstream has committed a proper fix that should come in 1.7.42.

Comment 10 customercare 2015-04-24 08:16:33 UTC
Status: WORKSFORME

1.7.41 solves the problem, where 1.7.40 failed.

Comment 11 Fedora Update System 2015-04-24 12:58:51 UTC
wine-1.7.41-1.fc20 has been submitted as an update for Fedora 20.
https://admin.fedoraproject.org/updates/FEDORA-2015-6460/wine-1.7.41-1.fc20

Comment 12 Fedora Update System 2015-04-24 12:59:42 UTC
wine-1.7.41-1.fc21 has been submitted as an update for Fedora 21.
https://admin.fedoraproject.org/updates/FEDORA-2015-6542/wine-1.7.41-1.fc21

Comment 13 Fedora Update System 2015-04-30 11:37:58 UTC
wine-1.7.41-1.fc20 has been pushed to the Fedora 20 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 14 Fedora Update System 2015-04-30 11:43:17 UTC
wine-1.7.41-1.fc21 has been pushed to the Fedora 21 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.